Name: aumix
Version: 2.8
Release: 18%{?dist}
Summary: Audio mixer based on ncurses
License: GPLv2+
Group: Applications/Multimedia
URL: http://jpj.net/~trevor/aumix.html
Source0: http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
Patch0:  aumix-2.8-save_load.patch
Patch1:  aumix-2.8-include-signal_h.patch
Patch2:  aumix-fix-cursor-color-on-exit.patch
Patch3:  aumix-fix-crackrock.patch
Patch4:  aumix-2.8-bug-115869.patch
Patch5:  curses-cleanup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gettext ncurses-devel

%description
An audio mixer with a compact visual layout based on ncurses.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}/%{_bindir}/mute
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/aumix
%{_bindir}/xaumix
%{_mandir}/man1/xaumix.*
%{_mandir}/man1/aumix.*
%{_datadir}/aumix

%changelog
* Fri Sep 26 2008 Gabriel L. Somlo <somlo at cmu.edu> 2.8-18
- re-based patches to eliminate fuzz

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.8-17
- Autorebuild for GCC 4.3

* Thu Aug 16 2007 Gabriel L. Somlo <somlo at cmu.edu> 2.8-16
- fixed license

* Wed Mar 21 2007 Gabriel L. Somlo <somlo at cmu.edu> 2.8-15
- curses-cleanup.patch now stripping aumix down to cmdline+curses+mixer code
- mousemask exception for /usr/bin/screen removed (gpm bug #233488 now fixed) 

* Tue Mar 20 2007 Gabriel L. Somlo <somlo at cmu.edu> 2.8-14
- curses-cleanup.patch removes "cruft" such as gtk and system/console mouse
- more importantly, it fixes bugzilla ticket # 232828

* Sat Mar 17 2007 Gabriel L. Somlo <somlo at cmu.edu> 2.8-13
- bumped rel. to 13, to be ahead of latest core (unreleased) cvs

* Fri Dec 15 2006 Gabriel L. Somlo <somlo at cmu.edu> 2.8-11
- reworked crackrock patch to eliminate regression bug (bugzilla #219736)

* Thu Nov 16 2006 Gabriel L. Somlo <somlo at cmu.edu> 2.8-10
- bumped rel. to 10, to stop buildsys complaining about conflicts w. old FC3 package

* Wed Nov 08 2006 Gabriel L. Somlo <somlo at cmu.edu> 2.8-1
- initial Extras build based on latest Core CVS, including all their patches
- only building ncurses version
